/* -*- mode: c; style: linux -*- */

/* gnome-settings-power_manager.c
 *
 * Copyright (C) 2005 Red Hat, Inc.
 *
 * Written by Matthias Clasen <mclasen@redhat.com>,
 *            Ray Strode <rstrode@redhat.com>
 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <config.h>

#include "gnome-settings-power-manager.h"

#define START_POWER_MANAGER_KEY   "/apps/gnome_settings_daemon/power_manager/start_power_manager"

void
gnome_settings_power_manager_init (GConfClient *client)
{
	/*
	 * do nothing.
	 */
}

void
gnome_settings_power_manager_load (GConfClient *client)
{
	gboolean start_power_manager;
        
        start_power_manager = gconf_client_get_bool (client, START_POWER_MANAGER_KEY, NULL);

	if (!start_power_manager)
		return;

	g_spawn_command_line_async ("gnome-power-manager", NULL);
}

